relaxngcc.grammar

## Class BinaryPattern

- java.lang.Object
- - relaxngcc.grammar.Pattern
  - - relaxngcc.grammar.BinaryPattern

Direct Known Subclasses:
  ChoicePattern, GroupPattern, InterleavePattern

    public abstract class BinaryPattern
    extends Pattern

Author:
  Kohsuke Kawaguchi (kk@kohsuke.org)

### Field Summary

Fields
`Pattern` `p1`
`Pattern` `p2`

### Constructor Summary

Constructors
Constructor and Description
`BinaryPattern(Pattern _p1, Pattern _p2)`

### Method Summary

Methods
`Pattern[]` `getChildPatterns()` Gets all the child patterns of this combinor.

### Methods inherited from class relaxngcc.grammar.Pattern

`apply`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### p1

    public final Pattern p1

#### p2

    public final Pattern p2

### Constructor Detail

#### BinaryPattern

    public BinaryPattern(Pattern _p1,
                 Pattern _p2)

### Method Detail

#### getChildPatterns

    public Pattern[] getChildPatterns()

Gets all the child patterns of this combinor.